.video-container{
    height: 576px;
    transition: height 0.8s ease-in-out;
    justify-content: center;
    align-items: center;
}
.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.33); /* nero semi-trasparente */
    pointer-events: none; /* opzionale */
}
.header-text {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    display: flex;
    align-items: start;
    justify-content: center;
    text-align: start;
    flex-direction: column;

    transition: all 0.8s ease-in-out;
    /*opacity: 0;*/
}

@media (min-width: 992px) {
    .video-container{ height: 992px;}
    .overlay {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.33); /* nero semi-trasparente */
        pointer-events: none; /* opzionale */
    }
    .header-text {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;

        padding-right: 96px;
        padding-left: 96px;
        display: flex;
        align-items: start;
        justify-content: center;
        text-align: start;
        flex-direction: column;

        transition: all 0.8s ease-in-out;
        /*opacity: 0;*/
    }
}
